﻿@model IEnumerable<Airlines.Business.DTOs.AirlineDTO>

@{
	ViewData["Title"] = "Edit Airline";
}

<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Airports</h1>
	</div>
	<table class="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.ID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Name)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Fleet_size)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Founded)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Description)
			</th>
		</tr>
		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.ID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Name)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Fleet_size)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Founded)
				</td>
				<td class="table-row-tag description-cell">
					<div class="description-content">
						@Html.DisplayFor(modelItem => item.Description)
					</div>
				</td>
			</tr>
		}
	</table>
	<form class="form" asp-action="EditAirline" asp-controller="Airline" method="post">
		<legend>Edit Airline</legend>
		<input type="hidden" id="id" name="id" value="@Model.FirstOrDefault()?.ID" />

		<label for="name">Name</label>
		<input type="text" id="name" name="name" value="@Model.FirstOrDefault()?.Name" />

		<label for="founded">Founded</label>
		<input type="text" id="founded" name="founded" value="@Model.FirstOrDefault()?.Founded" />

		<label for="fleet_size">Fleet Size</label>
		<input type="text" id="fleet_size" name="fleet_size" value="@Model.FirstOrDefault()?.Fleet_size" />

		<label for="description">Description</label>
		<textarea id="description" name="description">@Model.FirstOrDefault()?.Description</textarea>

		<input type="submit" class="block-button-form" value="Save" />
	</form>

</div>

